## smplayer 0.5.20

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/smplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/smplayer
DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
CONF_PATH=$(CONF_PREFIX)/etc/smplayer
THEMES_PATH=$(PREFIX)/share/smplayer/themes
SHORTCUTS_PATH=$(PREFIX)/share/smplayer/shortcuts

#KDE_PREFIX=`kde-config --prefix`
#KDE_PREFIX=/tmp/smplayer/kde/
KDE_PREFIX=$(PREFIX)

KDE_ICONS=$(KDE_PREFIX)/share/icons/hicolor/
KDE_APPLNK=$(KDE_PREFIX)/share/applications/

QMAKE=qmake

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
     SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"


ifdef KDE_SUPPORT

# KDE paths, change if necessary

KDE_INCLUDE_PATH=`kde-config --prefix`/include/
KDE_LIB_PATH=`kde-config --prefix`/lib/
KDE_LIBS=-lkio

QMAKE_OPTS=DEFINES+=KDE_SUPPORT INCLUDEPATH+=$(KDE_INCLUDE_PATH) \
           LIBS+="$(KDE_LIBS) -L$(KDE_LIB_PATH)"

endif

src/smplayer:
	cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make


# Adapt the source files for Qt 4
prep:
	cd src/ && qt3to4 -alwaysOverwrite smplayer.pro

clean:
	cd src && make clean
	-rm src/smplayer

install: src/smplayer
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/smplayer $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)

	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)

	-install -d $(DESTDIR)$(KDE_ICONS)/64x64/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/32x32/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/22x22/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/16x16/apps/
	install -m 644 icons/smplayer_icon64.png $(DESTDIR)$(KDE_ICONS)/64x64/apps/smplayer.png
	install -m 644 icons/smplayer_icon32.png $(DESTDIR)$(KDE_ICONS)/32x32/apps/smplayer.png
	install -m 644 icons/smplayer_icon22.png $(DESTDIR)$(KDE_ICONS)/22x22/apps/smplayer.png
	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smplayer.png
	-install -d $(DESTDIR)$(KDE_APPLNK)
	install -m 644 smplayer.desktop $(DESTDIR)$(KDE_APPLNK)

uninstall:
	-rm $(PREFIX)/bin/smplayer
	-rm $(DATA_PATH)/input.conf
	-rm $(TRANSLATION_PATH)/*.qm
	-rm $(DOC_PATH)/Changelog
	-rm $(DOC_PATH)/*.txt
	-rm $(SHORTCUTS_PATH)/*.keys
	-rm $(KDE_ICONS)/64x64/apps/smplayer.png
	-rm $(KDE_ICONS)/32x32/apps/smplayer.png
	-rm $(KDE_ICONS)/22x22/apps/smplayer.png
	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
	-rm $(KDE_APPLNK)/smplayer.desktop
	-rmdir $(TRANSLATION_PATH)/
	-rmdir $(DOC_PATH)/
	-rmdir $(DATA_PATH)/

=== src/Makefile ===
#############################################################################
# Makefile for building: smplayer
# Generated by qmake (1.07a) (Qt 3.3.3) on: Wed Jun 20 19:11:38 2007
# Project:  smplayer.pro
# Template: app
# Command: $(QMAKE) -o Makefile smplayer.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -D_REENTRANT  -DDATA_PATH=$(DATA_PATH) -DDOC_PATH=$(DOC_PATH) -DTRANSLATION_PATH=$(TRANSLATION_PATH) -DCONF_PATH=$(CONF_PATH) -DTHEMES_PATH=$(THEMES_PATH) -DSHORTCUTS_PATH=$(SHORTCUTS_PATH) -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -D_REENTRANT  -DDATA_PATH=$(DATA_PATH) -DDOC_PATH=$(DOC_PATH) -DTRANSLATION_PATH=$(TRANSLATION_PATH) -DCONF_PATH=$(CONF_PATH) -DTHEMES_PATH=$(THEMES_PATH) -DSHORTCUTS_PATH=$(SHORTCUTS_PATH) -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = config.h \
		constants.h \
		qt3_4_compat.h \
		version.h \
		global.h \
		helper.h \
		translator.h \
		subtracks.h \
		trackdata.h \
		tracks.h \
		desktopinfo.h \
		mplayerprocess.h \
		mplayerwindow.h \
		mediadata.h \
		mediasettings.h \
		preferences.h \
		images.h \
		inforeader.h \
		recents.h \
		core.h \
		logwindow.h \
		infofile.h \
		encodings.h \
		seekwidget.h \
		mytable.h \
		keychooser.h \
		actionseditor.h \
		preferencesdialog.h \
		filepropertiesdialog.h \
		playlist.h \
		verticaltext.h \
		eqslider.h \
		videoequalizer.h \
		timeslider.h \
		inputdvddirectory.h \
		mypopupmenu.h \
		myaction.h \
		client.h \
		server.h \
		csmanager.h \
		filedialog.h \
		aboutdialog.h \
		basegui.h \
		baseguiplus.h \
		floatingcontrol.h \
		defaultgui.h
SOURCES = global.cpp \
		helper.cpp \
		translator.cpp \
		subtracks.cpp \
		trackdata.cpp \
		tracks.cpp \
		desktopinfo.cpp \
		mplayerprocess.cpp \
		mplayerwindow.cpp \
		mediadata.cpp \
		mediasettings.cpp \
		preferences.cpp \
		images.cpp \
		inforeader.cpp \
		recents.cpp \
		core.cpp \
		logwindow.cpp \
		infofile.cpp \
		encodings.cpp \
		seekwidget.cpp \
		mytable.cpp \
		keychooser.cpp \
		actionseditor.cpp \
		preferencesdialog.cpp \
		filepropertiesdialog.cpp \
		playlist.cpp \
		verticaltext.cpp \
		eqslider.cpp \
		videoequalizer.cpp \
		timeslider.cpp \
		inputdvddirectory.cpp \
		mypopupmenu.cpp \
		myaction.cpp \
		client.cpp \
		server.cpp \
		csmanager.cpp \
		filedialog.cpp \
		aboutdialog.cpp \
		basegui.cpp \
		baseguiplus.cpp \
		floatingcontrol.cpp \
		defaultgui.cpp \
		main.cpp
OBJECTS = .obj/global.o \
		.obj/helper.o \
		.obj/translator.o \
		.obj/subtracks.o \
		.obj/trackdata.o \
		.obj/tracks.o \
		.obj/desktopinfo.o \
		.obj/mplayerprocess.o \
		.obj/mplayerwindow.o \
		.obj/mediadata.o \
		.obj/mediasettings.o \
		.obj/preferences.o \
		.obj/images.o \
		.obj/inforeader.o \
		.obj/recents.o \
		.obj/core.o \
		.obj/logwindow.o \
		.obj/infofile.o \
		.obj/encodings.o \
		.obj/seekwidget.o \
		.obj/mytable.o \
		.obj/keychooser.o \
		.obj/actionseditor.o \
		.obj/preferencesdialog.o \
		.obj/filepropertiesdialog.o \
		.obj/playlist.o \
		.obj/verticaltext.o \
		.obj/eqslider.o \
		.obj/videoequalizer.o \
		.obj/timeslider.o \
		.obj/inputdvddirectory.o \
		.obj/mypopupmenu.o \
		.obj/myaction.o \
		.obj/client.o \
		.obj/server.o \
		.obj/csmanager.o \
		.obj/filedialog.o \
		.obj/aboutdialog.o \
		.obj/basegui.o \
		.obj/baseguiplus.o \
		.obj/floatingcontrol.o \
		.obj/defaultgui.o \
		.obj/main.o \
		.obj/preferencesdialogbase.o \
		.obj/logwindowbase.o \
		.obj/filepropertiesdialogbase.o \
		.obj/eqsliderbase.o \
		.obj/inputdvddirectorybase.o \
		.obj/seekwidgetbase.o \
		.obj/qmake_image_collection.o
FORMS = preferencesdialogbase.ui \
		logwindowbase.ui \
		filepropertiesdialogbase.ui \
		eqsliderbase.ui \
		inputdvddirectorybase.ui \
		seekwidgetbase.ui
UICDECLS = .ui/preferencesdialogbase.h \
		.ui/logwindowbase.h \
		.ui/filepropertiesdialogbase.h \
		.ui/eqsliderbase.h \
		.ui/inputdvddirectorybase.h \
		.ui/seekwidgetbase.h
UICIMPLS = .ui/preferencesdialogbase.cpp \
		.ui/logwindowbase.cpp \
		.ui/filepropertiesdialogbase.cpp \
		.ui/eqsliderbase.cpp \
		.ui/inputdvddirectorybase.cpp \
		.ui/seekwidgetbase.cpp
SRCMOC   = .moc/moc_mplayerprocess.cpp \
		.moc/moc_mplayerwindow.cpp \
		.moc/moc_inforeader.cpp \
		.moc/moc_recents.cpp \
		.moc/moc_core.cpp \
		.moc/moc_logwindow.cpp \
		.moc/moc_infofile.cpp \
		.moc/moc_encodings.cpp \
		.moc/moc_seekwidget.cpp \
		.moc/moc_keychooser.cpp \
		.moc/moc_actionseditor.cpp \
		.moc/moc_preferencesdialog.cpp \
		.moc/moc_filepropertiesdialog.cpp \
		.moc/moc_playlist.cpp \
		.moc/moc_eqslider.cpp \
		.moc/moc_videoequalizer.cpp \
		.moc/moc_timeslider.cpp \
		.moc/moc_inputdvddirectory.cpp \
		.moc/moc_myaction.cpp \
		.moc/moc_client.cpp \
		.moc/moc_server.cpp \
		.moc/moc_csmanager.cpp \
		.moc/moc_aboutdialog.cpp \
		.moc/moc_basegui.cpp \
		.moc/moc_baseguiplus.cpp \
		.moc/moc_floatingcontrol.cpp \
		.moc/moc_defaultgui.cpp \
		.moc/moc_preferencesdialogbase.cpp \
		.moc/moc_logwindowbase.cpp \
		.moc/moc_filepropertiesdialogbase.cpp \
		.moc/moc_eqsliderbase.cpp \
		.moc/moc_inputdvddirectorybase.cpp \
		.moc/moc_seekwidgetbase.cpp
OBJMOC = .obj/moc_mplayerprocess.o \
		.obj/moc_mplayerwindow.o \
		.obj/moc_inforeader.o \
		.obj/moc_recents.o \
		.obj/moc_core.o \
		.obj/moc_logwindow.o \
		.obj/moc_infofile.o \
		.obj/moc_encodings.o \
		.obj/moc_seekwidget.o \
		.obj/moc_keychooser.o \
		.obj/moc_actionseditor.o \
		.obj/moc_preferencesdialog.o \
		.obj/moc_filepropertiesdialog.o \
		.obj/moc_playlist.o \
		.obj/moc_eqslider.o \
		.obj/moc_videoequalizer.o \
		.obj/moc_timeslider.o \
		.obj/moc_inputdvddirectory.o \
		.obj/moc_myaction.o \
		.obj/moc_client.o \
		.obj/moc_server.o \
		.obj/moc_csmanager.o \
		.obj/moc_aboutdialog.o \
		.obj/moc_basegui.o \
		.obj/moc_baseguiplus.o \
		.obj/moc_floatingcontrol.o \
		.obj/moc_defaultgui.o \
		.obj/moc_preferencesdialogbase.o \
		.obj/moc_logwindowbase.o \
		.obj/moc_filepropertiesdialogbase.o \
		.obj/moc_eqsliderbase.o \
		.obj/moc_inputdvddirectorybase.o \
		.obj/moc_seekwidgetbase.o
DIST	   = smplayer.pro
QMAKE_TARGET = smplayer
DESTDIR  = 
TARGET   = smplayer

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: smplayer.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile smplayer.pro
qmake: 
	@$(QMAKE) -o Makefile smplayer.pro

dist: 
	@mkdir -p .obj/smplayer && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/smplayer/ && $(COPY_FILE) --parents translations/smplayer_es.ts translations/smplayer_de.ts translations/smplayer_sk.ts translations/smplayer_it.ts translations/smplayer_fr.ts translations/smplayer_zh_CN.ts translations/smplayer_ru_RU.ts translations/smplayer_hu.ts translations/smplayer_en_US.ts translations/smplayer_pl.ts translations/smplayer_ja.ts translations/smplayer_nl.ts translations/smplayer_uk_UA.ts translations/smplayer_pt_BR.ts translations/smplayer_ka.ts translations/smplayer_cs.ts translations/smplayer_bg.ts translations/smplayer_tr.ts translations/smplayer_sv.ts translations/smplayer_sr.ts translations/smplayer_zh_TW.ts translations/smplayer_ro_RO.ts translations/smplayer_pt_PT.ts .obj/smplayer/ && $(COPY_FILE) --parents icons-png/logo.png icons-png/mouse.png icons-png/keyboard.png icons-png/speaker.png icons-png/xresize_window.png icons-png/monitor.png icons-png/cdrom_drive.png icons-png/dvd_drive.png icons-png/pref_advanced.png icons-png/pref_general.png icons-png/pref_performance.png icons-png/pref_devices.png icons-png/pref_gui.png icons-png/pref_subtitles.png icons-png/input_devices.png icons-png/plus.png icons-png/minus.png icons-png/up.png icons-png/down.png icons-png/xrepeat.png icons-png/shuffle.png icons-png/ok.png icons-png/open.png icons-png/openfolder.png icons-png/dvd.png icons-png/dvd_hd.png icons-png/vcd.png icons-png/cdda.png icons-png/url.png icons-png/close.png icons-png/exit.png icons-png/save.png icons-png/copy.png icons-png/speed.png icons-png/playlist.png icons-png/info.png icons-png/prefs.png icons-png/logs.png icons-png/chapter.png icons-png/xtitle.png icons-png/sub.png icons-png/aspect.png icons-png/screenshot.png icons-png/fullscreen.png icons-png/compact.png icons-png/volume.png icons-png/mute.png icons-png/unload.png icons-png/forward10s.png icons-png/forward1m.png icons-png/forward10m.png icons-png/xrewind10s.png icons-png/xrewind1m.png icons-png/xrewind10m.png icons-png/play.png icons-png/pause.png icons-png/stop.png icons-png/previous.png icons-png/xnext.png icons-png/delete.png icons-png/brightness.png icons-png/contrast.png icons-png/hue.png icons-png/saturation.png icons-png/gamma.png icons-png/background.png icons-png/conflict.png icons-png/xtype_video.png icons-png/xtype_audio.png icons-png/xtype_dvd.png icons-png/xtype_vcd.png icons-png/xtype_cdda.png icons-png/xtype_url.png icons-png/xtype_unknown.png .obj/smplayer/ && ( cd `dirname .obj/smplayer` && $(TAR) smplayer.tar smplayer && $(GZIP) smplayer.tar ) && $(MOVE) `dirname .obj/smplayer`/smplayer.tar.gz . && $(DEL_FILE) -r .obj/smplayer

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) .ui/qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/global.o: global.cpp global.h \
		constants.h \
		preferences.h \
		translator.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/global.o global.cpp

.obj/helper.o: helper.cpp helper.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/helper.o helper.cpp

.obj/translator.o: translator.cpp translator.h \
		helper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/translator.o translator.cpp

.obj/subtracks.o: subtracks.cpp subtracks.h \
		mediasettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/subtracks.o subtracks.cpp

.obj/trackdata.o: trackdata.cpp trackdata.h \
		helper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/trackdata.o trackdata.cpp

.obj/tracks.o: tracks.cpp tracks.h \
		trackdata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tracks.o tracks.cpp

.obj/desktopinfo.o: desktopinfo.cpp desktopinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/desktopinfo.o desktopinfo.cpp

.obj/mplayerprocess.o: mplayerprocess.cpp mplayerprocess.h \
		global.h \
		preferences.h \
		config.h \

## smplayer 0.5.62

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 KDE_APPLNK=$(KDE_PREFIX)/share/applications/
 
 QMAKE=qmake
+LRELEASE=lrelease
 
 DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
      TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
@@ -40,16 +41,18 @@
 endif
 
 src/smplayer:
+	./get_svn_revision.sh
 	cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
-
-
-# Adapt the source files for Qt 4
-prep:
-	cd src/ && qt3to4 -alwaysOverwrite smplayer.pro
+	cd src && $(LRELEASE) smplayer.pro
 
 clean:
 	cd src && make clean
 	-rm src/smplayer
+	-rm src/translations/smplayer_*.qm
+	-rm src/Makefile
+#	cd getrev && $(QMAKE) && make clean
+#	-rm getrev/getrev
+#	-rm getrev/Makefile
 
 install: src/smplayer
 	-install -d $(DESTDIR)$(PREFIX)/bin/

## smplayer 0.6.0~rc2

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,9 @@
 	-install -d $(DESTDIR)$(DOC_PATH)
 	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)
 
+	-install -d $(DESTDIR)$(DOC_PATH)
+	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -
+
 	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
 	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
 
@@ -77,6 +80,9 @@
 	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smplayer.png
 	-install -d $(DESTDIR)$(KDE_APPLNK)
 	install -m 644 smplayer.desktop $(DESTDIR)$(KDE_APPLNK)
+	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
+	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
+	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1
 
 uninstall:
 	-rm $(PREFIX)/bin/smplayer
@@ -90,6 +96,7 @@
 	-rm $(KDE_ICONS)/22x22/apps/smplayer.png
 	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
 	-rm $(KDE_APPLNK)/smplayer.desktop
+	-rm $(PREFIX)/share/man/man1/smplayer.1.gz
 	-rmdir $(TRANSLATION_PATH)/
 	-rmdir $(DOC_PATH)/
 	-rmdir $(DATA_PATH)/

## smplayer 0.6.1

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,7 @@
 	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smplayer.png
 	-install -d $(DESTDIR)$(KDE_APPLNK)
 	install -m 644 smplayer.desktop $(DESTDIR)$(KDE_APPLNK)
+	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(KDE_APPLNK)
 	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
 	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1

## smplayer 0.6.6

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 DATA_PATH=$(PREFIX)/share/smplayer
 DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
 TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
-CONF_PATH=$(CONF_PREFIX)/etc/smplayer
 THEMES_PATH=$(PREFIX)/share/smplayer/themes
 SHORTCUTS_PATH=$(PREFIX)/share/smplayer/shortcuts
 
@@ -21,7 +20,7 @@
 QMAKE=qmake
 LRELEASE=lrelease
 
-DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
+DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
      TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
      DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
      SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"
@@ -46,13 +45,8 @@
 	cd src && $(LRELEASE) smplayer.pro
 
 clean:
-	cd src && make clean
-	-rm src/smplayer
+	cd src && make distclean
 	-rm src/translations/smplayer_*.qm
-	-rm src/Makefile
-#	cd getrev && $(QMAKE) && make clean
-#	-rm getrev/getrev
-#	-rm getrev/Makefile
 
 install: src/smplayer
 	-install -d $(DESTDIR)$(PREFIX)/bin/
@@ -83,21 +77,31 @@
 	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(KDE_APPLNK)
 	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
-	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1
+	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1
 
 uninstall:
-	-rm $(PREFIX)/bin/smplayer
-	-rm $(DATA_PATH)/input.conf
-	-rm $(TRANSLATION_PATH)/*.qm
-	-rm $(DOC_PATH)/Changelog
-	-rm $(DOC_PATH)/*.txt
-	-rm $(SHORTCUTS_PATH)/*.keys
-	-rm $(KDE_ICONS)/64x64/apps/smplayer.png
-	-rm $(KDE_ICONS)/32x32/apps/smplayer.png
-	-rm $(KDE_ICONS)/22x22/apps/smplayer.png
-	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
-	-rm $(KDE_APPLNK)/smplayer.desktop
-	-rm $(PREFIX)/share/man/man1/smplayer.1.gz
+	-rm -f $(PREFIX)/bin/smplayer
+	-rm -f $(DATA_PATH)/input.conf
+	-rm -f $(TRANSLATION_PATH)/*.qm
+	-rm -f $(DOC_PATH)/Changelog
+	-rm -f $(DOC_PATH)/*.txt
+	-rm -f $(SHORTCUTS_PATH)/*.keys
+	-rm -f $(KDE_ICONS)/64x64/apps/smplayer.png
+	-rm -f $(KDE_ICONS)/32x32/apps/smplayer.png
+	-rm -f $(KDE_ICONS)/22x22/apps/smplayer.png
+	-rm -f $(KDE_ICONS)/16x16/apps/smplayer.png
+	-rm -f $(KDE_APPLNK)/smplayer.desktop
+	-rm -f $(PREFIX)/share/man/man1/smplayer.1.gz
+	-rmdir $(SHORTCUTS_PATH)/
 	-rmdir $(TRANSLATION_PATH)/
+#	-for file in docs/*/*; do \
+#	    rm -f $(DOC_PATH)/$${file/docs/}; \
+#	done;
+#	-for file in docs/*; do \
+#	    rmdir $(DOC_PATH)/$${file/docs/}; \
+#	done;
+	-(cd docs && find -iname '*.html') | (cd $(DESTDIR)$(DOC_PATH) && xargs rm)
+	-(cd docs && find -type d -name '??') | (cd $(DESTDIR)$(DOC_PATH) && xargs rmdir)
 	-rmdir $(DOC_PATH)/
 	-rmdir $(DATA_PATH)/
+

## smplayer 0.6.7

=== Makefile ===
--- 
+++ 
@@ -39,10 +39,14 @@
 
 endif
 
+.PHONY : src/smplayer
+
+smplayer: src/smplayer
+	cd src && $(LRELEASE) smplayer.pro
+
 src/smplayer:
 	./get_svn_revision.sh
-	cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
-	cd src && $(LRELEASE) smplayer.pro
+	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
 
 clean:
 	cd src && make distclean

## smplayer 0.6.8

=== Makefile ===
--- 
+++ 
@@ -39,14 +39,10 @@
 
 endif
 
-.PHONY : src/smplayer
-
-smplayer: src/smplayer
-	cd src && $(LRELEASE) smplayer.pro
-
 src/smplayer:
 	./get_svn_revision.sh
 	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
+	cd src && $(LRELEASE) smplayer.pro
 
 clean:
 	cd src && make distclean

## smplayer 0.6.9

=== debian/changelog ===
smplayer (0.6.9-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Modify URL parsing patch to handle some corner cases. (Closes: #626324)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 12 May 2011 20:38:49 +0700

smplayer (0.6.9-3) unstable; urgency=low

  * Add debian/patches/handle_local_urls.diff. (Closes: #583398)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 28 Apr 2011 23:36:22 +0700

smplayer (0.6.9-2) unstable; urgency=low

  [ Maia Kozheva ]
  * Switch to 3.0 (quilt) format.
  * debian/control:
    - Bump Standards-Version to 3.9.1.
    - Add Vcs-Git and Vcs-Browser fields.
    - Enable DM-Upload-Allowed.

  [ Reinhard Tartler ]
  * Bugfix: add support for ffodivxvdpau, Closes: #609815.
    Thanks to Thibaut VARENE <varenet@debian.org> for the patch.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 08 Aug 2010 21:47:58 +0700

smplayer (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed mplayer-nogui from Depends, as it is now a transitional package
      to mplayer in both Debian and Ubuntu.
    - Bumped Standards-Version to 3.8.4 (no changes needed).

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 09 May 2010 21:23:36 +0700

smplayer (0.6.8-2) unstable; urgency=low

  * debian/compat:
    - Bumped to 7.
  * debian/control:
    - Changed maintainer to team.
    - Build-depend on dh 7, no cdbs.
  * debian/rules, debian/clean:
    - Rewritten to use dh 7.
    - Set DOC_PATH and remove an unneeded upstream file.
  * debian/smplayer.install, debian/smplayer.doc-base:
    - Install upstream docs correctly. (Closes: #557069)
  * Dropped debian/README.source - not using CDBS simple-patchsys anymore.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 21 Nov 2009 14:08:08 +0600

smplayer (0.6.8-1) unstable; urgency=low

  * New upstream release. (Closes: #543156)
  * Added /usr/share/pixmaps to debian/menu. (Closes: #526353)
  * debian/control: Bumped Standards-Version to 3.8.3.
  * debian/rules:
    - Removed VERSION variables, not relevant anymore.
    - Removed dh_desktop.
  * Removed 01_gl_translation.patch, fixed upstream.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 04 Nov 2009 12:45:38 +0600

smplayer (0.6.7-1) unstable; urgency=low

  * New upstream release. (Closes: #523791)
    - Reworked subtitle font preferences. (Closes: #503295)
    - No longer installs qt_fr.qm. (Closes: #486314)
  * debian/control:
    - Bumped Standards-Version to 3.8.1.
    - Changed maintainer name (still the same person and GPG key).
    - Changed section to video.
    - Build-depend on zlib1g-dev for findsubtitles.
    - Require Qt >= 4.3 per readme.
    - Added ${misc:Depends}.
    - Make smplayer-translations depend on smplayer and smplayer recommend
      smplayer-translations, not the other way round. (Closes: #489375)
  * debian/copyright:
    - Significantly expanded per-file with new upstream authors.
  * debian/rules:
    - Make make use correct uic in install.
    - Clean svn_revision.
    - Removed get-orig-source - not needed with uscan --repack.
  * debian/patches/01_gl_translation.patch:
    - Added patch to fix lrelease error on smplayer_gl.ts.
  * Added debian/README.source for simple-patchsys.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 31 Mar 2009 23:05:43 +0700

smplayer (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Updated get-orig-source rule (again).

 -- Matvey Kozhev <sikon@ubuntu.com>  Fri, 30 May 2008 12:52:19 +0700

smplayer (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped debian/compat to 6.
  * debian/control:
    - Require debhelper >= 6.
    - Relaxed the dependency of smplayer-translations on smplayer
      to Recommends. (Closes: #478713)
  * Dropped debian/smplayer.desktop, changes applied upstream.

 -- Matvey Kozhev <sikon@ubuntu.com>  Tue, 13 May 2008 10:12:30 +0700

smplayer (0.6.0~rc4-1) unstable; urgency=low

  * New upstream release.

 -- Matvey Kozhev <sikon@ubuntu.com>  Wed, 16 Apr 2008 15:11:15 +0700

smplayer (0.6.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Disable debug output on console.

 -- Matvey Kozhev <sikon@ubuntu.com>  Mon, 24 Mar 2008 20:40:33 +0600

smplayer (0.6.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated upstream homepage (for real this time).
  * debian/rules:
    - Added --no-symlink to uscan in get-orig-source to avoid creating
      .orig.tar.bz2 symlinks.

 -- Matvey Kozhev <sikon@lucidfox.org>  Fri, 15 Feb 2008 14:58:22 +0600

smplayer (0.6.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on CDBS.
    - Updated upstream homepage.
  * debian/copyright:
    - Updated download address.
  * debian/rules:
    - Migrated to CDBS.
    - Tweaked get-orig-source to work with release candidates.
  * debian/docs:
    - Removed Translations.txt, upstream removed it from the tarball.
    - Added Release_notes.txt.
  * debian/manpages, debian/smplayer.1:
    - Deleted, manpage merged upstream.
  * debian/smplayer.install:
    - Install usr/share/man.

 -- Matvey Kozhev <sikon@lucidfox.org>  Thu, 31 Jan 2008 13:44:53 +0600

smplayer (0.5.62-1) unstable; urgency=low

  * First upload to Debian. (Closes: #459789)
  * debian/control:
    - Set maintainer to myself.
  * debian/copyright:
    - Mentioned takeover from Ubuntu.
  * debian/menu:
    - Replaced icon name "smplayer" with "smplayer.xpm".
  * debian/rules:
    - Replaced "make distclean" (nonexistent rule) with "make clean".
    - Fixed CONF_PATH.
    - Additional cleanup through dh_clean.

 -- Matvey Kozhev <sikon@lucidfox.org>  Wed, 09 Jan 2008 00:10:25 +0600

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libqt4-dev (>= 4.3),
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
DM-Upload-Allowed: yes

Package: smplayer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}, mplayer
Recommends: smplayer-translations, smplayer-themes
Description: complete front-end for MPlayer
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-translations
Architecture: all
Depends: ${misc:Depends},
         smplayer (>= ${source:Version})
Replaces: smplayer (<< 0.5.62)
Description: complete front-end for MPlayer - translation files
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 0.7.0

=== debian/changelog ===
smplayer (0.7.0-1ubuntu2) precise; urgency=low

  * Revert previous change, the string is basically un-translatable since 
    we don't have easy way to translate universe sources

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Feb 2012 19:44:30 +0100

smplayer (0.7.0-1ubuntu1) precise; urgency=low

  * debian/patches/01-add-unity-quicklist.patch: add Unity quicklist entries.

 -- David Baucum <maxolasersquad@gmail.com>  Fri, 24 Feb 2012 09:03:54 +0100

smplayer (0.7.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #655125):
    - Changes since 0.6.10:
      + New favorite menu, where you can add your favorite videos, music,
         streams, youtube videos... It's also possible to add submenus.
      + Support for youtube. Now you can open urls like
        http://www.youtube.com/watch?v=..... using the Open -> URL dialog or
        dragging a link from a browser to the smplayer window.
      + Support for mplayer2 (http://www.mplayer2.org). It's a fork of mplayer
        with interesting features like precise seeking, ordered chapters in
        mkv videos and better pause handling (e.g. seek works while the video
        is paused).
      + New translation: croatian.
    - Changes since 0.6.9:
      + New vdpau configuration dialog, which allow to select the vdpau codecs
        to use. (Closes: #610204)
      + Port for eCS, OS/2 (by Silvan Scherrer).
      + New menu to select the closed caption channel (requires mplayer >=
        r32607).
      + Possibility to select the seeking method (absolute or relative).
      + Possibility to sort the items of the playlist.
  * Remove debian/patches/enable_ffodivxvdpau.diff, the application now
    provides a configuration dialog for vdpau.
  * Refresh handle_local_urls.diff.
  * Update copyright notice.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Feb 2012 11:51:44 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,11 @@
 
 Package: smplayer
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}, mplayer
-Recommends: smplayer-translations, smplayer-themes
+Depends: mplayer,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: smplayer-themes,
+            smplayer-translations
 Description: complete front-end for MPlayer
  Qt Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -30,8 +32,8 @@
 
 Package: smplayer-translations
 Architecture: all
-Depends: ${misc:Depends},
-         smplayer (>= ${source:Version})
+Depends: smplayer (>= ${source:Version}),
+         ${misc:Depends}
 Replaces: smplayer (<< 0.5.62)
 Description: complete front-end for MPlayer - translation files
  Qt Mplayer front-end, with basic features like playing

## smplayer 0.8.0

=== debian/changelog ===
smplayer (0.8.0-1+deb7u1) stable; urgency=low

  * Team upload.
  * Don't append -fontconfig to the command line options for Mplayer2
    to prevent crash at startup. (Closes: #723707)

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 11:16:21 +0100

smplayer (0.8.0-1) unstable; urgency=low

  [ Maia Kozheva ]
  * New upstream release:
    - Changes since 0.7.1:
      + A toolbar editor has been added. Now it's possible to select the
        buttons and controls that want to appear in the toolbars.
      + New video filters: gradfun, blur and sharpen.
      + Now it's possible to change the GUI (default, mini, mpc) at runtime,
        no restart required.
      + sub files from opensubtitles should work again.
      + (Youtube) Recognize short urls (like this one:
        http://y2u.be/F5OcZBVPwOA)
      + Better support for chapters in video files.
      + Bug fix: remote m3u files work from the favorites menu or command line.
      + Internal changes in the single instance option (switch to 
        QtSingleApplication).
    - Fixes since 0.7.0:
      + SMPlayer took more than 10 seconds to show when running for the very
        first time.
      + The links to download subtitles from Opensubtitles were wrong.
      + SMPlayer crashed in the favorite editor when trying to select a file
        if the KDE open dialog was used.
    - Changes since 0.7.0:
      + By default the screenshots are saved in the user's pictures folder
        instead of the SMPlayer's config folder.
      + Now it's possible to change the opensubtitles server.
      + Youtube: seeking is slow with flv videos, so now flv videos have the
        lowest priority.
      + Youtube: now it's possible to search and download videos from youtube.
        This is provided by an external application (in linux you have to
        install an independent package: smtube).
  * debian/copyright:
    - Rewrite according to DEP-5 specification.
  * debian/control:
    - Depend on mplayer2 | mplayer. (Closes: #638279)
    - Update Standards-Version to 3.9.3.
  * Remove debian/patches/handle_local_urls.diff, merged upstream.

  [ Alessio Treglia ]
  * Mention smplayer is also a front-end for MPlayer2.
  * Fix small typo in the description.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 14 Apr 2012 12:01:57 +0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
                libqt4-dev (>= 4.3),
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
@@ -15,13 +15,13 @@
 
 Package: smplayer
 Architecture: any
-Depends: mplayer,
+Depends: mplayer2 | mplayer,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: smplayer-themes,
             smplayer-translations
-Description: complete front-end for MPlayer
- Qt Mplayer front-end, with basic features like playing
+Description: complete front-end for MPlayer and MPlayer2
+ Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
  of SMPlayer: it remembers the settings of all files you play.
@@ -35,8 +35,8 @@
 Depends: smplayer (>= ${source:Version}),
          ${misc:Depends}
 Replaces: smplayer (<< 0.5.62)
-Description: complete front-end for MPlayer - translation files
- Qt Mplayer front-end, with basic features like playing
+Description: complete front-end for MPlayer and MPlayer2 - translation files
+ Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
  of SMPlayer: it remembers the settings of all files you play.

## smplayer 0.8.3

=== debian/changelog ===
smplayer (0.8.3-1) experimental; urgency=low

  * Team upload.
  * New upstream release. (Closes: #698300)

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Feb 2013 03:00:21 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
-DM-Upload-Allowed: yes
 
 Package: smplayer
 Architecture: any

## smplayer 0.8.6

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	cd src && $(LRELEASE) smplayer.pro
 
 clean:
-	cd src && make distclean
+	if [ -f src/Makefile ]; then cd src && make distclean; fi
 	-rm src/translations/smplayer_*.qm
 
 install: src/smplayer
@@ -64,14 +64,27 @@
 	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
 	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
 
+#	-install -d $(DESTDIR)$(THEMES_PATH)
+#	-tar -C src/themes/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(THEMES_PATH) -x -f -
+
+	-install -d $(DESTDIR)$(KDE_ICONS)/512x512/apps/
+	-install -d $(DESTDIR)$(KDE_ICONS)/256x256/apps/
+	-install -d $(DESTDIR)$(KDE_ICONS)/192x192/apps/
+	-install -d $(DESTDIR)$(KDE_ICONS)/128x128/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/64x64/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/32x32/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/22x22/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/16x16/apps/
+	-install -d $(DESTDIR)$(KDE_ICONS)/scalable/apps/
+	install -m 644 icons/smplayer_icon512.png $(DESTDIR)$(KDE_ICONS)/512x512/apps/smplayer.png
+	install -m 644 icons/smplayer_icon256.png $(DESTDIR)$(KDE_ICONS)/256x256/apps/smplayer.png
+	install -m 644 icons/smplayer_icon192.png $(DESTDIR)$(KDE_ICONS)/192x192/apps/smplayer.png
+	install -m 644 icons/smplayer_icon128.png $(DESTDIR)$(KDE_ICONS)/128x128/apps/smplayer.png
 	install -m 644 icons/smplayer_icon64.png $(DESTDIR)$(KDE_ICONS)/64x64/apps/smplayer.png
 	install -m 644 icons/smplayer_icon32.png $(DESTDIR)$(KDE_ICONS)/32x32/apps/smplayer.png
 	install -m 644 icons/smplayer_icon22.png $(DESTDIR)$(KDE_ICONS)/22x22/apps/smplayer.png
 	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smplayer.png
+	install -m 644 icons/smplayer.svg $(DESTDIR)$(KDE_ICONS)/scalable/apps/smplayer.svg
 	-install -d $(DESTDIR)$(KDE_APPLNK)
 	install -m 644 smplayer.desktop $(DESTDIR)$(KDE_APPLNK)
 	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(KDE_APPLNK)

=== debian/changelog ===
smplayer (0.8.6-2) unstable; urgency=low

  * Team upload.
  * Remove doc-base document, faq.html file is no longer
    provided. (Closes: #725829)
  * Disable updates checking mechanism.
  * Add licensing information on libmaia, split sources stanzas from
    License ones.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 12:02:50 +0100

smplayer (0.8.6-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Refresh patches.
  * Fix VCS urls to meet the canonical form.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 12:51:23 +0100

smplayer (0.8.4-1) experimental; urgency=low

  * Imported Upstream version 0.8.4
    - improved downloading on slow links, closes: #607187.
    - no longer overwrites previously downloaded subtitles, closes: #607190.
  * Testing confirms that this version works with both, mplayer and
    mplayer2, closes: #640889, #641909, #643781, #678315.
  * Improve mplayer2 auto-detection, closes: #699864.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Mar 2013 09:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,27 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Maia Kozheva <sikon@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
-               libqt4-dev (>= 4.3),
-               zlib1g-dev
-Standards-Version: 3.9.3
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
+ Maia Kozheva <sikon@ubuntu.com>
+Build-Depends:
+ debhelper (>= 9),
+ libqt4-dev (>= 4.3),
+ zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://smplayer.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
 
 Package: smplayer
 Architecture: any
-Depends: mplayer2 | mplayer,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: smplayer-themes,
-            smplayer-translations
+Depends:
+ mplayer2 | mplayer,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ smplayer-themes,
+ smplayer-translations
 Description: complete front-end for MPlayer and MPlayer2
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -31,9 +35,11 @@
 
 Package: smplayer-translations
 Architecture: all
-Depends: smplayer (>= ${source:Version}),
-         ${misc:Depends}
-Replaces: smplayer (<< 0.5.62)
+Depends:
+ smplayer (>= ${source:Version}),
+ ${misc:Depends}
+Replaces:
+ smplayer (<< 0.5.62)
 Description: complete front-end for MPlayer and MPlayer2 - translation files
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake-qt4 LRELEASE=lrelease-qt4 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt

%:
	dh $@

=== debian/watch ===
version=3

http://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2

## smplayer 14.3.0

=== debian/changelog ===
smplayer (14.3.0-1) unstable; urgency=medium

  * Add myself to uploaders.
  * New upstream release. (Closes: #740769, #742685)
  * debian/control:
    - bump standards version to 3.9.5. (no changes needed)
    - rename smplayer-translations to smplayer-l10n. (Closes: #698365)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 21 Apr 2014 11:53:59 +0200

## smplayer 14.9.0~ds0

=== debian/changelog ===
smplayer (14.9.0~ds0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Alessio Treglia ]
  * Repackaging upstream sources to get rid of
    zlib/contrib/dotzlib/DotZLib.chm.
  * Enable parallel builds.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 10 Sep 2014 13:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Maia Kozheva <sikon@ubuntu.com>
+ Maia Kozheva <sikon@ubuntu.com>,
+ Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper (>= 9),
  libqt4-dev (>= 4.3),
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
@@ -22,7 +23,7 @@
  ${shlibs:Depends}
 Recommends:
  smplayer-themes,
- smplayer-translations
+ smplayer-l10n
 Description: complete front-end for MPlayer and MPlayer2
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -33,13 +34,15 @@
  point you left it, and with the same settings: audio track,
  subtitles, volume...
 
-Package: smplayer-translations
+Package: smplayer-l10n
 Architecture: all
 Depends:
  smplayer (>= ${source:Version}),
  ${misc:Depends}
 Replaces:
- smplayer (<< 0.5.62)
+ smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
+Breaks: 
+ smplayer-translations (<< 14.3.0)
 Description: complete front-end for MPlayer and MPlayer2 - translation files
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
+
+export REPACK_SH = $(CURDIR)/debian/repack.sh
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = PREFIX=/usr QMAKE=qmake-qt4 LRELEASE=lrelease-qt4 QMAKE_OPTS="$(QMAKE_OPTS)"
+
+get-orig-source:
+	uscan --force-download
 
 override_dh_auto_clean:
 	[ ! -f src/Makefile ] || dh_auto_clean
@@ -14,4 +19,4 @@
 	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt
 
 %:
-	dh $@
+	dh $@ --parallel

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*// \
http://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2 \
    debian sh debian/repack.stub

## smplayer 15.11.0~ds0

=== debian/changelog ===
smplayer (15.11.0~ds0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Repackaging upstream sources to drop included zlib sources.
  * New upstream release. (Closes: #770357, #798961, #799040, #800533,
    LP: #1390937)
    - Build with QT5.
  * Bump standards version to 3.9.6. (no changes needed)
  * Patch working: (thanks Alf Gaida <agaida@siduction.org>) 
    - Add 03-not_define_reminder_actions.patch to do not define reminder
    actions (Closes: #770359)
    - Add 04_update_desktop_launcher.patch for add Unity Launcher
    Quicklist and Keywords in desktop file. (LP: #938015)
    - Refresh 02-disable_updates.patch.
    - Add 05-add-debian-hardening-flags.patch to using Debian hardening 
      flags.
    - Add 06-tryfixplaylist.patch to fix playlist that disappear after
      leaving full-screen with openbox. (Closes: #799385, #799984)
  * debian/rules:
    - Remove /usr/share/doc/smplayer/es/gpl.htm
  * Update debian/copyright.
  * Add support for mpv: (Closes: #783401)
    - debian/control: Add mpv instead of mplayer|mplayer2.
  * debian/repack.local: update for dfsg to remove zlib directory.
  * Drop depends on mplayer2. It has been removed from Debian repository.
  * Remove debian/menu -- no longer needed.
  
  [ Alf Gaida ]
  * debian/rules:
    - Make local rebuilds possible. (Closes: #770382)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 06 Dec 2015 21:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper (>= 9),
- libqt4-dev (>= 4.3),
+ qtbase5-dev (>= 5.1),
+ qt5-qmake,
+ qtscript5-dev,
+ qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
@@ -18,13 +21,13 @@
 Package: smplayer
 Architecture: any
 Depends:
- mplayer2 | mplayer,
+ mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  smplayer-themes,
  smplayer-l10n
-Description: complete front-end for MPlayer and MPlayer2
+Description: complete front-end for MPlayer, MPlayer2 and MPV
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH = $(CURDIR)/debian/repack.sh

export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"


%:
	dh $@ --parallel

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt
